gnutls_x509_crt_check_revocation(3)

NAME
gnutls_x509_crt_check_revocation - API function

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_crt_check_revocation(gnutls_x509_crt_t cert, const gnutls_x509_crl_t * crl_list, int crl_list_length);

ARGUMENTS

gnutls_x509_crt_t cert
    should contain a gnutls_x509_crt_t structure

const gnutls_x509_crl_t * crl_list
    should contain a list of gnutls_x509_crl_t structures

int crl_list_length
    the length of the crl_list

DESCRIPTION
This function will return check if the given certificate is revoked. It is assumed that the CRLs have been verified before.

RETURNS
0 if the certificate is NOT revoked, and 1 if it is. A negative value is returned on error.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>. GnuTLS home page: http://www.gnu.org/software/gnutls/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.